<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once __DIR__ . '/forum_bootstrap.php';
require_once __DIR__ . '/../auth.php';
requireLogin();
$user = currentUser();
$groupId = $user['group_id'] ?? 0;
if ($groupId < 10) { die("Unauthorized"); }

require_once __DIR__ . '/../../config/db.php';


$groups = $db->query("SELECT * FROM forum_usergroups WHERE is_deleted = 0 ORDER BY id ASC")->fetch_all(MYSQLI_ASSOC);
?>
<link rel="stylesheet" href="../css/admin.css">
<div class="dashboard-wrapper">
    <h2>Forum Usergroups</h2>
    <a href="edit_forum_usergroup.php" class="button">Add New Group</a>
    <table class="admin-table">
        <thead>
            <tr><th>ID</th><th>Name</th><th>System?</th><th>Actions</th></tr>
        </thead>
        <tbody>
        <?php foreach ($groups as $g): ?>
            <tr>
                <td><?= $g['id'] ?></td>
                <td><?= htmlspecialchars($g['name']) ?></td>
                <td><?= $g['is_system'] ? 'Yes' : 'No' ?></td>
                <td>
                    <a href="edit_forum_usergroup.php?id=<?= $g['id'] ?>">Edit</a>
                    <?php if (!$g['is_system']): ?>
                        | <a href="?delete=<?= $g['id'] ?>" onclick="return confirm('Delete this group?')">Delete</a>
                    <?php endif; ?>
                </td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table><br><a href="index.php" class="btn"> < - Back to Forum Manager</a>
</div>
<?php
if (isset($_GET['delete'])) {
    $id = (int) $_GET['delete'];
    $db->query("UPDATE forum_usergroups SET is_deleted = 1 WHERE id = $id AND is_system = 0");
    header("Location: orum_usergroups.php");
    exit;
}
?>
