<?php
require_once __DIR__ . '/forum_bootstrap.php';
require_once __DIR__ . '/../auth.php';
requireLogin();

$user = currentUser();
if ((int)$user['group_id'] < 9) exit('Unauthorized');

require_once __DIR__ . '/../../config/db.php';

$data = json_decode(file_get_contents('php://input'), true);

foreach ($data as $entry) {
    $id = (int)$entry['id'];
    $sort = (int)$entry['sort'];

    $stmt = $db->prepare("UPDATE forum_categories SET sort_order = ? WHERE id = ?");
    $stmt->bind_param('ii', $sort, $id);
    $stmt->execute();
}

echo json_encode(['status' => 'ok']);
