<?php
// admin/forums/index.php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once __DIR__ . '/forum_bootstrap.php';
require_once __DIR__ . '/../auth.php';
requireLogin();

$user = currentUser();
if ((int)$user['group_id'] < 9) {
    exit('Unauthorized');
}

require_once __DIR__ . '/../../config/db.php';
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Forum Manager</title>
    <link rel="stylesheet" href="../css/admin.css">
</head>
<body>
<div class="dashboard-wrapper">
    <h1>Forum Manager</h1>

    <p>Manage forum categories, moderate topics and posts, and configure forum settings.</p>

    <ul class="admin-links">
        <li><a href="categories.php">📁 Manage Categories</a></li>
        <li><a href="topics.php">🧵 Moderate Topics</a></li>
        <li><a href="posts.php">💬 Moderate Posts</a></li>
        <li><a href="forum_usergroups.php">👥 Manage Usergroups</a></li>
        <li><a href="forum_permissions.php">🔐 Manage Usergroup Permissions</a></li>
<li><a href="forum_user_manager.php">👥⚙️ Manage Forum Users</a></li>
        <!-- Optional future settings page -->
        <!-- <li><a href="settings.php">⚙️ Forum Settings</a></li> -->
    </ul>
</div>
</body>
</html>
